Summary: A multi-language source code indexing tool
Name: ctags
Version: 5.5.2
Release: 1m
License: GPL
Group: Development/Tools
URL: http://ctags.sourceforge.net/
Source0: http://dl.sourceforge.net/ctags/ctags-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: emacs <= 21.2-7m, xemacs <= 21.4.8-6m
NoSource: 0

%description
Exuberant Ctags generates an index (or tag) file of language objects
found in source files for many popular programming languages. This index
makes it easy for text editors and other tools to locate the indexed
items. Exuberant Ctags improves on traditional ctags because of its
multilanguage support, its ability for the user to define new languages
searched by regular expressions, and its ability to generate emacs-style
TAGS files.

Install ctags if you are going to use your system for programming.

%prep
%setup -q

%build
%configure
make

%install
test %{buildroot} != "/" && rm -rf %{buildroot}
%makeinstall

%clean
test %{buildroot} != "/" && rm -rf %{buildroot}

%post
for i in ctags.1 etags.1 ; do
  if [ -L %{_mandir}/man1/$i ] ; then
    rm -f %{_mandir}/man1/$i
  fi
done

%files
%defattr(-,root,root)
%doc COPYING EXTENDING.html FAQ NEWS README ctags.html
%{_bindir}/ctags
%{_bindir}/etags
%{_mandir}/man1/ctags.1*
%{_mandir}/man1/etags.1*

%changelog
* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (5.5.2-1m)
- version 5.5.2

* Sat May  3 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (5.5-1m)
- update to 5.5

* Fri Nov 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (5.4-1m)
- update to 5.4

* Sun Sep 15 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (5.3.1-1m)
- update to 5.3.1
- s/telia/us/

* Sun Aug 11 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.3-3m)
- remove old symlinks if exist
* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (5.3-2m)
- enabling etags.

* Sun Jul 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.3-1m)
- minor feature enhancements

* Thu Feb 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (5.2.3-2k)

* Mon Jan 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (5.2.1-2k)

* Thu Nov  8 2001 Kazuhiko <kazuhiko@kondara.org>
- (5.1-2k)
- change URI of Source0

* Mon Sep 17 2001 Kazuhiko <kazuhiko@kondara.org>
- (5.0.1-2k)

* Fri Dec 10 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)
- version 3.2

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.0.3

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed etags.  Emacs provides its own; and needs to support
  more than just C.

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 1.5 to 1.6

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
